@echo off

REM #### Infineon TPM Professional Package

set ROOT_DRIVE=C:
set MOD_NAME=Infineon
set COPY_DIR=%ROOT_DRIVE%\%MOD_NAME%

set R_DIR=%ROOT_DRIVE%\VAIO\XP_Downgrade
set L_DIR=%ROOT_DRIVE%\XP_Downgrade
set M_DIR=TPM_Professional_Package
set M_CAT=Utility
set DRIVE=Drive.txt
set LOG_DIR=%L_DIR%\%M_DIR%

if EXIST %COPY_DIR% (
	rmdir /S /Q %COPY_DIR%\
)
mkdir %COPY_DIR% 

set ROOT_DIR=
set DRIVE_DIR=
for /f "eol=# tokens=1" %%d in ('type %L_DIR%\%DRIVE%') do set ROOT_DIR=%%d
for /f "eol=# delims=\ tokens=1" %%f in ('type %L_DIR%\%DRIVE%') do set DRIVE_DIR=%%f

xcopy %ROOT_DIR%\%M_CAT%\%M_DIR%\%MOD_NAME% %COPY_DIR% /Y /Q /E

